package com.jsh.erp.datasource.mappers;

import com.jsh.erp.datasource.dto.TaskStocktakingItemQueryDTO;
import com.jsh.erp.datasource.entities.TaskStocktakingItem;
import com.jsh.erp.datasource.pda.dto.PDATaskStocktakingItemDTO;
import com.jsh.erp.datasource.pda.vo.PDATaskStocktakingItemVO;
import com.jsh.erp.datasource.vo.SpinnerVO;
import com.jsh.erp.datasource.vo.TaskStocktakingItemVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TaskStocktakingItemMapper extends BaseMapperX<TaskStocktakingItem> {

    List<TaskStocktakingItemVO> listByTaskStocktakingId(TaskStocktakingItemQueryDTO taskStocktakingItemQueryDTO);

    List<PDATaskStocktakingItemVO> pdaList(PDATaskStocktakingItemDTO pdaTaskStocktakingItemDTO);

    List<SpinnerVO> creatorSpinnerList(@Param("taskId") Long taskId);

}
